---
tags:
  - script
date: 2025-04-28
author: The Bunker Admin
---
## Ubuntu
Install Ubuntu

Update All Apps 
- Visit app stores and run upgrades 

Sign into Firefox 
Change Firefox Search
## Update
```
sudo apt-get update && upgrade
```

```
sudo snap refresh 
```
## Obsidian
```
snap install obsidian --classic
```
## Curl
```
sudo apt install curl
```
## Syncthing
```
# Add the release PGP keys:
sudo mkdir -p /etc/apt/keyrings
sudo curl -L -o /etc/apt/keyrings/syncthing-archive-keyring.gpg https://syncthing.net/release-key.gpg
```

```
# Add the "stable" channel to your APT sources:
echo "deb [signed-by=/etc/apt/keyrings/syncthing-archive-keyring.gpg] https://apt.syncthing.net/ syncthing stable" | sudo tee /etc/apt/sources.list.d/syncthing.list
```

```
# Update and install syncthing:
sudo apt-get update
sudo apt-get install syncthing
```
## Signal
```
# NOTE: These instructions only work for 64-bit Debian-based
# Linux distributions such as Ubuntu, Mint etc.

# 1. Install our official public software signing key:
wget -O- https://updates.signal.org/desktop/apt/keys.asc | gpg --dearmor > signal-desktop-keyring.gpg
cat signal-desktop-keyring.gpg | sudo tee /usr/share/keyrings/signal-desktop-keyring.gpg > /dev/null

# 2. Add our repository to your list of repositories:
echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/signal-desktop-keyring.gpg] https://updates.signal.org/desktop/apt xenial main' |\
  sudo tee /etc/apt/sources.list.d/signal-xenial.list

# 3. Update your package database and install Signal:
sudo apt update && sudo apt install signal-desktop
```
## VS Code Insiders
```
sudo snap install code-insiders --classic
```
## VLC 
```
sudo snap install vlc 
```